import java.awt.*;

public class JAPI_Label extends Label
{

	int w=0,h=0;

	public JAPI_Label (String title)
	{
		super(title);
		setAlignment(CENTER);
	}

	public void setSize(int dw, int dh)
	{
		w = dw>0 ? dw : 0;
		h = dh>0 ? dh : 0;
		super.setSize(w,h);
	}

	public Dimension getPreferredSize() // JAPI2
	{
		Dimension dim = super.getPreferredSize(); // JAPI2
		dim.width  = w>0 ? w : dim.width;
		dim.height = h>0 ? h : dim.height;
		return(dim);
	}

	public Dimension getMinimumSize() // JAPI2
	{
		return(getPreferredSize()); // JAPI2
	}

}
